Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezgroupeventcalendar/user/monthview.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: monthview.php,v 1.22 2001/03/12 13:55:47 fh Exp $
5 //
6 // Adam Fallert <FallertA@umsystem.edu>
7 // Created on: <3-Oct-2001 14:36:00>
8 //
9 // This source file is part of Exponential Basic, publishing software.
10 // Copyright (C) 1999-2001 eZ systems as
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26 /*
27
28 include_once( "classes/INIFile.php" );
29 include_once( "classes/eztemplate.php" );
30 include_once( "classes/ezlog.php" );
31 include_once( "classes/ezlocale.php" );
32
33 include_once( "classes/ezdatetime.php" );
34 include_once( "classes/ezdate.php" );
35
36 include_once( "ezuser/classes/ezusergroup.php" );
37 include_once( "ezuser/classes/ezpermission.php" );
38
39 include_once( "ezgroupeventcalendar/classes/ezgroupevent.php" );
40 include_once( "ezgroupeventcalendar/classes/ezgroupeventtype.php" );
41 include_once( "ezgroupeventcalendar/classes/ezgroupnoshow.php" );
42 include_once( "ezgroupeventcalendar/classes/ezgroupeditor.php" );
43 */
44
45 function shortenText($text, $chars=25) {
46 //$text = $text."||";
47 // print(strlen($text));
48 $text = substr($text,0,$chars);
49 //$text = substr($text,0,strrpos($text,'||'));
50 // die($text);
51 $text .= "...";
52
53 return $text;
54 }
55
56 $ini =& eZINI::instance( 'site.ini' );
57
58 $SiteDesign = $ini->variable( "site", "SiteDesign" );
59 $Language = $ini->variable( "eZGroupEventCalendarMain", "Language" );
60 $Sitedesign = $ini->variable( "site", "SiteDesign" );
61 $TruncateTitle = $ini->variable( "eZGroupEventCalendarMain", "TruncateTitle" );
62 $TruncateTitleSize = $ini->variable( "eZGroupEventCalendarMain", "TruncateTitleSize" );
63
64 $TemplateDir = $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" );
65 $GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" );
66
67 $Locale = new eZLocale( $Language );
68
69 $user = eZUser::currentUser();
70 $session =& eZSession::globalSession();
71 $session->fetch();
72
73 $URL = explode( "/", $_SERVER['REQUEST_URI']);
74
75 if( count( $URL ) <= 5 )
76 {
77 if ( isset( $URL[3] ) && is_numeric( $URL[3] ) )
78 $groupID = $URL[3];
79 else
80 $groupID = 0;
81 }
82 else
83 {
84 $readGroup = new eZUserGroup( $session->variable( "ShowOtherCalendarGroups" ) );
85 $groupID = $readGroup->id();
86 }
87
88 if( !isset( $GetByGroup ) )
89 $GetByGroupID = $groupID;
90 else
91 $GetByGroupID = 0;
92
93 if ( $GetByGroupID == false )
94 $GetByGroupID = $groupID;
95
96
97 if ( ( $session->variable( "ShowOtherCalendarGroups" ) == false ) || ( isSet( $GetByGroup ) ) )
98 {
99 $session->setVariable( "ShowOtherCalendarGroups", $GetByGroupID );
100 //?set date session for ...
101 }
102
103 $eventGroup = new eZUserGroup( $session->variable( "ShowOtherCalendarGroups" ) );
104
105 //Get the TYPE session data
106 if ( ( $session->variable( "ShowOtherCalendarTypes" ) == false ) || ( isSet( $GetByTypeID ) ) )
107 {
108 if( !isSet( $GetByTypeID ) )
109 $GetByTypeID = 0;
110
111 $session->setVariable( "ShowOtherCalendarTypes", $GetByTypeID );
112 }
113
114 $type = new eZGroupEventType( $session->variable( "ShowOtherCalendarTypes" ) );
115
116 if( !isSet( $GetByTypeID ) )
117 $GetByTypeID = $type->id();
118
119 $date = new eZDate();
120
121 if ( $Year != "" && $Month != "" )
122 {
123 $date->setYear( $Year );
124 $date->setMonth( $Month );
125 }
126 elseif ( ($Year == "" && $Month == "") && ( $session->variable( "Year" ) != "" && $session->variable( "Month" ) != "" ) ) {
127
128 $date->setYear( $session->variable( "Year" ) );
129 $date->setMonth( $session->variable( "Month" ) );
130
131 $Year = $date->year();
132 $Month = $date->month();
133
134 }
135 else
136 {
137 $Year = $date->year();
138 $Month = $date->month();
139 }
140
141 $session->setVariable( "Year", $Year );
142 $session->setVariable( "Month", $Month );
143
144 $zMonth = addZero($Month);
145 $isMyCalendar = ( $groupID && $groupID == $GetByGroupID )? "-private" :"";
146
147 // init the section
148 $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID );
149 $sectionObject->setOverrideVariables();
150
151 $templateDirTmp = $sectionObject->templateStyle();
152
153 if ( $templateDirTmp != null && trim( $templateDirTmp ) != "" )
154 {
155 $TemplateDir = "kernel/ezgroupeventcalendar/user/" . preg_replace( "/(.+)\/.+(\/?)/", "/\\1/$templateDirTmp\\2", $TemplateDir );
156 }
157 else
158 {
159 $TemplateDir = "kernel/ezgroupeventcalendar/user/" . $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" );
160 }
161
162 //$t = new eZTemplate( "kernel/ezgroupeventcalendar/user/" . $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" ),
163 $t = new eZTemplate( $TemplateDir,
164 "kernel/ezgroupeventcalendar/user/intl", $Language, "monthview.php",
165 "default", "kernel/ezgroupeventcalendar" . "/user", "$Year-$zMonth-$GetByGroupID" . $isMyCalendar );
166
167 $t->set_file( "month_view_page_tpl", "monthview.tpl" );;
168 // group not to include
169 $noShowGroup = new eZGroupNoShow();
170
171 $user_groupID = "-1";
172 $groupsList = "-1";
173
174 $rootAccess = false;
175
176 // retreive all the groups the user is a member of
177 if( $user )
178 {
179 // if the user has root access, then the user has access to all groups
180 if( $user->hasRootAccess() == true || eZPermission::checkPermission( $user, "eZGroupEventCalendar", "WriteToRoot" ) )
181 {
182 $groups = new eZUserGroup();
183 $groupsList = $groups->getAll( true );
184 $rootAccess = true;
185 }
186 else
187 $groupsList = $user->groups();
188 }
189
190 $permission = new eZGroupEditor();
191 $new_event_link = false;
192
193 // Determin if the user get the time stamps as "new event" links or not
194 if( $user )
195 if( $permission->hasEditPermission( $user->id(), $eventGroup->id() ) == true || $rootAccess == true )
196 $new_event_link = true;
197 elseif( $permission->getByGroup( $eventGroup->id() ) == false )
198 {
199 foreach( $groupsList as $groups )
200 {
201 if( $permission->groupHasEditor( $groups->id() ) == false && $noShowGroup->groupEntry( $groups->id() ) == false )
202 {
203 if( $eventGroup->id() != 0 && $groups->id() == $eventGroup->id() )
204 {
205 $new_event_link = true;
206 break;
207 }
208 elseif( $eventGroup->id() == 0 )
209 {
210 $new_event_link = true;
211 break;
212 }
213 }
214 }
215 }
216
217 /*
218
219 if ( $t->hasCache() ) {
220 print( "cached<br />" );
221 print( $t->cache() );
222 }
223 else {
224 print( "not cached<br />" );
225 }
226
227 */
228
229 $t->setAllStrings();
230
231 $t->set_block( "month_view_page_tpl", "group_item_tpl", "group_item" );
232 $t->set_block( "month_view_page_tpl", "type_item_tpl", "type_item" );
233 $t->set_block( "month_view_page_tpl", "group_print_tpl", "group_print" );
234
235 $t->set_block( "month_view_page_tpl", "month_tpl", "month" );
236 $t->set_block( "month_view_page_tpl", "new_event_form_tpl", "new_event_form" );
237 $t->set_block( "month_tpl", "week_tpl", "week" );
238 $t->set_block( "month_tpl", "week_day_tpl", "week_day" );
239 $t->set_block( "week_tpl", "day_tpl", "day" );
240
241 $t->set_block( "day_tpl", "day_link_tpl", "day_link" );
242 $t->set_block( "day_tpl", "day_no_link_tpl", "day_no_link" );
243
244 $t->set_block( "day_tpl", "public_appointment_tpl", "public_appointment" );
245 $t->set_block( "day_tpl", "private_appointment_tpl", "private_appointment" );
246 $t->set_block( "day_tpl", "new_event_link_tpl", "new_event_link" );
247 $t->set_block( "day_tpl", "no_new_event_link_tpl", "no_new_event_link" );
248
249 $t->set_var( "sitedesign", $SiteDesign );
250
251 $t->set_var( "month_name", $Locale->monthName( $date->monthName(), false ) );
252 $t->set_var( "month_number", $Month );
253 $t->set_var( "current_year_number", $Year );
254 $t->set_var( "week", "" );
255
256 $t->set_var( "sitedesign", $Sitedesign );
257 $t->set_var("date_month", $date->month());
258 $t->set_var("date_year", $date->year());
259 $t->set_var("date_day", $date->day());
260
261 if( $new_event_link == true )
262 {
263 $t->parse( "new_event_link", "new_event_link_tpl" );
264 $t->parse( "new_event_form", "new_event_form_tpl" );
265 $t->set_var( "no_new_event_link", "" );
266 }
267 else
268 {
269 $t->parse( "no_new_event_link", "no_new_event_link_tpl" );
270 $t->set_var( "new_event_form", "" );
271 $t->set_var( "new_event_link", "" );
272 }
273
274
275 if ( $eventGroup->id() != 0 )
276 {
277 $t->set_var( "group_print_name", $eventGroup->name() );
278 $t->set_var( "group_print_id", $eventGroup->id() );
279 $t->parse( "group_print", "group_print_tpl", true );
280 }
281 else
282 {
283 $t->set_var( "group_print", "" );
284 }
285
286 // Draw the week day header.
287 $headerDate = new eZDate();
288 $headerDate->setYear( 2001 );
289 if ( $Locale->mondayFirst() )
290 {
291 // January 2001 starts on a Monday
292 $headerDate->setMonth( 1 );
293 }
294 else
295 {
296 // April 2001 starts on a Sunday
297 $headerDate->setMonth( 4 );
298 }
299
300 for ( $week_day=1; $week_day<=7; $week_day++ )
301 {
302 $headerDate->setDay( $week_day );
303 $t->set_var( "week_day_name", $Locale->dayName( $headerDate->dayName( $Locale->mondayFirst() ), false ) );
304
305 $t->parse( "week_day", "week_day_tpl", true );
306 }
307
308 $today = new eZDate();
309 $tmpDate = new eZDate();
310
311 $firstDay = $date->dayOfWeek( $Locale->mondayFirst() );
312 $day_loop_count = 0;
313 $appointments = array();
314 $tmpGroupEvent = new eZGroupEvent();
315
316 for ( $week=0; $week<6; $week++ )
317 {
318 $t->set_var( "day", "" );
319 if ( ( ( $week * 7 ) - $firstDay + 1 ) < ( $date->daysInMonth() ) )
320 {
321 $date->setDay( 1 );
322 $firstDay = $date->dayOfWeek( $Locale->mondayFirst() );
323
324 for ( $day=1; $day<=7; $day++ )
325 {
326 $currentDay = $day + ( $week * 7 ) - $firstDay + 1;
327
328 // this month
329 if ( ( ( $day + ( $week * 7 ) ) >= $firstDay ) &&
330 ( $currentDay <= $date->daysInMonth() ) )
331 {
332 $date->setDay( $currentDay );
333
334 // fetch the appointments for today
335 $tmpDate->setYear( $date->year() );
336 $tmpDate->setMonth( $date->month() );
337 $tmpDate->setDay( $date->day() );
338
339
340 // Fetch all the appointments
341 if( $eventGroup->id() == 0 && $type->id() == 0) {// die('getAllByDate');
342 $appointments =& $tmpGroupEvent->getAllByDate( $tmpDate, true ); }
343 // Fetch all appointments by type
344 elseif( $eventGroup->id() == 0 && $type->id() != 0 ) {// die('getAllByType');
345 $appointments =& $tmpGroupEvent->getAllByType( $tmpDate, $type, true ); }
346 // Fetch all appointments by Group and Type
347 elseif( $eventGroup->id() != 0 && $type->id() != 0 ) {// die('getByGroupType');
348 $appointments =& $tmpGroupEvent->getByGroupType( $tmpDate, $eventGroup, $type, true ); }
349 // Fetch all appointments by Group
350 else {// die('getByDate');
351 $appointments =& $tmpGroupEvent->getByDate( $tmpDate, $eventGroup, true ); }
352
353 $t->set_var( "public_appointment", "" );
354 $t->set_var( "private_appointment", "" );
355
356 foreach ( $appointments as $appointment )
357 {
358 // trim apointment name to keep the calendar easy to read
359 $appointmentName = $appointment->name();
360 $appointmentFullName = $appointment->name();
361 if ($TruncateTitle == "enabled"){
362 $appointmentNameLen = strlen($appointmentName);
363 $appointmentNameLenHalf = $TruncateTitleSize;
364
365 if ( $appointmentNameLen > $appointmentNameLenHalf ){
366 $appointmentNameLenHalf = $appointmentNameLen / 2;
367 $appointmentName = shortenText($appointmentName, 12);
368 }
369 }
370 $t->set_var ( "appointment_name", stripslashes($appointmentName) );
371 $t->set_var ( "appointment_full_name", stripslashes($appointmentFullName) );
372 $t->set_var ( "appointment_id" , $appointment->id() );
373 $t->set_var ( "event_description", stripslashes($appointment->description()) );
374 $t->set_var ( "overlib_full_name", addslashes($appointmentFullName));
375 $t->set_var ( "overlib_description", addslashes($appointment->description()) );
376 $eStartTime = $appointment->startTime();
377 $eStopTime = $appointment->stopTime();
378 $event_start_time = addZero($eStartTime->hour()) . ':'. addZero( $eStartTime->minute() );
379 $event_stop_time = addZero($eStopTime->hour()) . ':'. addZero( $eStopTime->minute() );
380 $t->set_var ( "event_start_time", $event_start_time );
381 $t->set_var ( "event_stop_time", $event_stop_time );
382
383 if( $groupsList != "-1" )
384 {
385 foreach ( $groupsList as $groups )
386 {
387 //If the user has a matching group set their group id to the matching group else there group id will be -1.
388 if( $appointment->groupID() == $groups->id() )
389 {
390 $user_groupID = $groups->id();
391 break;
392 }
393 }
394 }
395
396 $groupName = new eZUserGroup( $appointment->groupID() );
397 $t->set_var ( "appointment_group", $groupName->name() );
398
399 if ( ( $appointment->isPrivate() == true && $user_groupID == $appointment->groupID() ) || ( $appointment->isPrivate() == true && eZPermission::checkPermission( $user, "eZGroupEventCalendar", "Read" ) ) || $appointment->isPrivate() == false )
400 {
401 $t->parse( "public_appointment", "public_appointment_tpl", true );
402 }
403 else
404 {
405 $t->parse( "private_appointment", "private_appointment_tpl", true );
406 }
407 }
408
409 // set special colours for today and weekend
410 if ( $tmpDate->equals( $today ) )
411 {
412 $t->set_var( "td_class", "bgcurrent" );
413 }
414 else if ( $day == 7 )
415 {
416 $t->set_var( "td_class", "bgweekend" );
417 }
418 else if ( $day == 6 )
419 {
420 if ( $Locale->mondayFirst() == true )
421 $t->set_var( "td_class", "bgweekend" );
422 else
423 $t->set_var( "td_class", "bglight" );
424 }
425 else if ( $day == 1 )
426 {
427 if ( $Locale->mondayFirst() == false )
428 $t->set_var( "td_class", "bgweekend" );
429 else
430 $t->set_var( "td_class", "bglight" );
431 }
432 else
433 {
434 $t->set_var( "td_class", "bglight" );
435 }
436
437 $t->set_var( "day_number", $currentDay );
438 $t->set_var( "month_number_p", $Month );
439 $t->set_var( "year_number", $Year );
440
441 $t->set_var( "day_link", "" );
442
443 }
444 else // previous or next month
445 {
446 $prevNextDate = new eZDate( $date->year(), $date->month(), $date->day() );
447
448 // prevous month
449 if ( ( $currentDay <= $date->daysInMonth() ) )
450 {
451 $t->set_var( "public_appointment", "" );
452 $t->set_var( "private_appointment", "" );
453
454 if ( $date->month() == 1 )
455 {
456 $prevNextDate->setYear( $date->year() - 1 );
457 $prevNextDate->setMonth( 12 );
458 }
459 else
460 {
461 $prevNextDate->setMonth( $date->month() - 1 );
462 }
463
464 $prevNextDate->setDay( $prevNextDate->daysInMonth() - $firstDay + $day + 1 );
465 $t->set_var( "day_number", $prevNextDate->day() );
466 $t->set_var( "month_number_p", $prevNextDate->month() );
467 $t->set_var( "year_number", $prevNextDate->year() );
468
469 $t->set_var( "appointment", "" );
470
471 $t->set_var( "day_link", "" );
472 }
473 else
474 {
475 // next month
476 $t->set_var( "public_appointment", "" );
477 $t->set_var( "private_appointment", "" );
478
479 if ( $date->month() == 12 )
480 {
481 $prevNextDate->setYear( $date->year() + 1 );
482 $prevNextDate->setMonth( 1 );
483 }
484 else
485 {
486 $prevNextDate->setMonth( $date->month() + 1 );
487 }
488
489 $tmp = ( $firstDay + $date->daysInMonth() ) % 7;
490 if ( $tmp == 0 )
491 $tmp = 7;
492
493 $prevNextDate->setDay( ( 7 - $tmp - 6 ) + $day );
494 $t->set_var( "day_number", $prevNextDate->day() );
495 $t->set_var( "month_number_p", $prevNextDate->month() );
496 $t->set_var( "year_number", $prevNextDate->year() );
497
498 $t->set_var( "appointment", "" );
499
500 }
501 $t->set_var( "td_class", "bgdark" );
502 if ( $prevNextDate->equals( $today ) )
503 $t->set_var( "td_class", "bgcurrent" );
504 }
505
506
507 $day_loop_count = $day_loop_count + 1;
508
509 // if ( count($appointments) > 0 && $day_loop_count < 30 )
510 // print(count($appointments) ." | $a1 |" ."<br />\n");
511
512 // print(count($appointments) ." | $a1 |" ."<br />\n");
513 // print(count($appointments) ."<br />\n");
514
515 if( !is_null( $appointments ) )
516 $day_appointment_count = count($appointments);
517 else
518 $day_appointment_count = 0;
519
520 $day_appointment_day = $currentDay;
521
522 if ( $day_appointment_count > 0 ) {
523 // needs calculation to say start / end of month begin / reached, note that items on the
524 // first and last few days of every month do not render their events only within the
525 // calendar's current month (? bug, negative feature), this is a hack fix to prevent
526 // the display of the links to days without events.
527 if ( $day_appointment_count > 0 && $day_loop_count <= 33 ){
528 // print("Rare: $day_appointment_day | $day_appointment_count | $day_loop_count <br />");
529
530 $t->set_var( "day_no_link", "" );
531 $t->parse( "day_link", "day_link_tpl" );
532 } else {
533 // print("Rare2: $day_appointment_day | $day_appointment_count | $day_loop_count <br />");
534
535 $t->set_var( "day_link", "" );
536 $t->parse( "day_no_link", "day_no_link_tpl" );
537 }
538 } else {
539 $t->set_var( "day_link", "" );
540 $t->parse( "day_no_link", "day_no_link_tpl" );
541 }
542
543 $t->parse( "day", "day_tpl", true );
544 }
545 }
546 $t->parse( "week", "week_tpl", true );
547 }
548 $t->parse( "month", "month_tpl", true );
549
550 // group list
551 $group = new eZUserGroup();
552 $group_array =& $group->getAll();
553
554 $t->set_var( "selected_group_id", 0 );
555
556 foreach( $group_array as $groupItem )
557 {
558 if( $noShowGroup->groupEntry( $groupItem->id() ) == false )
559 {
560 $t->set_var( "group_id", $groupItem->id() );
561 $t->set_var( "group_name", $groupItem->Name() );
562
563 if ( $eventGroup->id() == $groupItem->id() )
564 {
565 $t->set_var( "selected_group_id", $eventGroup->id() );
566 $t->set_var( "group_is_selected", "selected" );
567 }
568 elseif ( $groupItem->id() == 0 ) {
569
570 //elseif ( $eventGroup->id() == 0 ) {
571 $t->set_var( "group_is_selected", "selected" );
572 $t->set_var( "selected_group_id", 0 );
573 }
574 else {
575 $t->set_var( "group_is_selected", "" );
576 }
577
578 $t->parse( "group_item", "group_item_tpl", true );
579 }
580 }
581
582 //type list
583 $typeList = $type->getAll();
584
585 foreach( $typeList as $type )
586 {
587 $t->set_var( "type_id", $type->id() );
588 $t->set_var( "type_name", $type->name( true ) );
589
590 if( $type->id() == $GetByTypeID )
591 {
592 $t->set_var( "selected_type_id", $type->id() );
593 $t->set_var( "type_is_selected", "selected" );
594 }
595 else
596 $t->set_var( "type_is_selected", "" );
597
598 $t->parse( "type_item", "type_item_tpl", true );
599 }
600
601
602 // next previous values.
603 $t->set_var( "next_year_number", $Year );
604 $t->set_var( "prev_year_number", $Year );
605
606 if ( $Month == 12 )
607 {
608 $t->set_var( "next_month_number", 1 );
609 $t->set_var( "next_year_number", $Year + 1 );
610 }
611 else
612 {
613 $t->set_var( "next_month_number", $Month + 1 );
614 }
615
616 if ( $Month == 1 )
617 {
618 $t->set_var( "prev_month_number", 12 );
619 $t->set_var( "prev_year_number", $Year - 1 );
620 }
621 else
622 {
623 $t->set_var( "prev_month_number", $Month - 1 );
624 }
625
626
627 $t->storeCache( "output", "month_view_page_tpl", true );
628 //}
629
630
631 //Adds a "0" in front of the value if it's below 10.
632 function addZero( $value )
633 {
634 settype( $value, "integer" );
635 $ret = $value;
636 if ( $ret < 10 )
637 {
638 $ret = "0". $ret;
639 }
640 return $ret;
641 }
642
643 ?>
$day
else $day
Definition: appointmentedit.php:665
$appointment
$appointment
Definition: appointmentview.php:89
$tmp
$tmp
Definition: bugview.php:99
eZDate
Definition: ezdate.php:46
eZGroupEditor
Definition: ezgroupeditor.php:33
eZGroupEventType
Definition: ezgroupeventtype.php:37
eZGroupEvent
Definition: ezgroupevent.php:85
eZGroupNoShow
Definition: ezgroupnoshow.php:34
eZLocale
Definition: ezlocale.php:119
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZSection\globalSectionObject
static & globalSectionObject( $sectionID)
Definition: ezsection.php:366
eZSession\globalSession
static & globalSession( $id="", $fetch=true)
Definition: kernel/ezsession/classes/ezsession.php:614
eZTemplate
Definition: eztemplate.php:107
eZUserGroup
Definition: ezusergroup.php:66
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$groups
if( $CategoryID !=0) $groups
Definition: ezbulkmail/admin/categoryedit.php:108
$isMyCalendar
$isMyCalendar
Definition: ezgroupeventcalendar/user/monthview.php:145
$tmpDate
$tmpDate
Definition: ezgroupeventcalendar/user/monthview.php:309
$GetByGroupID
else $GetByGroupID
Definition: ezgroupeventcalendar/user/monthview.php:91
$rootAccess
$rootAccess
Definition: ezgroupeventcalendar/user/monthview.php:174
$TruncateTitleSize
$TruncateTitleSize
Definition: ezgroupeventcalendar/user/monthview.php:62
$tmpGroupEvent
$tmpGroupEvent
Definition: ezgroupeventcalendar/user/monthview.php:314
$TruncateTitle
$TruncateTitle
Definition: ezgroupeventcalendar/user/monthview.php:61
$groupID
$groupID
Definition: ezgroupeventcalendar/user/monthview.php:85
$t
$t
Definition: ezgroupeventcalendar/user/monthview.php:163
$headerDate
$headerDate
Definition: ezgroupeventcalendar/user/monthview.php:287
$noShowGroup
$noShowGroup
Definition: ezgroupeventcalendar/user/monthview.php:169
$date
$date
Definition: ezgroupeventcalendar/user/monthview.php:119
$TemplateDir
$TemplateDir
Definition: ezgroupeventcalendar/user/monthview.php:64
$zMonth
$zMonth
Definition: ezgroupeventcalendar/user/monthview.php:144
$groupsList
$groupsList
Definition: ezgroupeventcalendar/user/monthview.php:172
$user
$user
Definition: ezgroupeventcalendar/user/monthview.php:69
$GlobalSectionID
$GlobalSectionID
Definition: ezgroupeventcalendar/user/monthview.php:65
$Month
$Month
Definition: ezgroupeventcalendar/user/monthview.php:138
$sectionObject
$sectionObject
Definition: ezgroupeventcalendar/user/monthview.php:148
$URL
$URL
Definition: ezgroupeventcalendar/user/monthview.php:73
$user_groupID
$user_groupID
Definition: ezgroupeventcalendar/user/monthview.php:171
$Locale
$Locale
Definition: ezgroupeventcalendar/user/monthview.php:67
$day_loop_count
$day_loop_count
Definition: ezgroupeventcalendar/user/monthview.php:312
$Language
$Language
Definition: ezgroupeventcalendar/user/monthview.php:59
$ini
$ini
Definition: ezgroupeventcalendar/user/monthview.php:56
addZero
addZero( $value)
Definition: ezgroupeventcalendar/user/monthview.php:632
$permission
if( $user) $permission
Definition: ezgroupeventcalendar/user/monthview.php:190
$today
for( $week_day=1; $week_day<=7; $week_day++) $today
Definition: ezgroupeventcalendar/user/monthview.php:308
$firstDay
$firstDay
Definition: ezgroupeventcalendar/user/monthview.php:311
$new_event_link
$new_event_link
Definition: ezgroupeventcalendar/user/monthview.php:191
$group_array
$group_array
Definition: ezgroupeventcalendar/user/monthview.php:552
$appointments
$appointments
Definition: ezgroupeventcalendar/user/monthview.php:313
$session
$session
Definition: ezgroupeventcalendar/user/monthview.php:70
$typeList
foreach( $group_array as $groupItem) $typeList
Definition: ezgroupeventcalendar/user/monthview.php:583
$templateDirTmp
$templateDirTmp
Definition: ezgroupeventcalendar/user/monthview.php:151
$group
$group
Definition: ezgroupeventcalendar/user/monthview.php:551
$type
if(( $session->variable("ShowOtherCalendarTypes")==false)||(isSet( $GetByTypeID))) $type
Definition: ezgroupeventcalendar/user/monthview.php:114
$SiteDesign
$SiteDesign
Definition: ezgroupeventcalendar/user/monthview.php:58
$eventGroup
if(( $session->variable("ShowOtherCalendarGroups")==false)||(isSet( $GetByGroup))) $eventGroup
Definition: ezgroupeventcalendar/user/monthview.php:103
$Sitedesign
$Sitedesign
Definition: ezgroupeventcalendar/user/monthview.php:60
shortenText
shortenText($text, $chars=25)
Definition: ezgroupeventcalendar/user/monthview.php:45
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.